package com.zanxiang.game.module.base.rpc;

import com.zanxiang.game.module.base.pojo.dto.GameDTO;
import com.zanxiang.module.util.pojo.ResultVO;

import java.util.List;

/**
 * @author : lingfeng
 * @time : 2024-05-23
 * @description : 游戏相关接口
 */
public interface IGameRpc {

    /**
     * 获取所有游戏
     *
     * @return : 返回游戏列表
     */
    ResultVO<List<GameDTO>> getAllGameList();
}
